Send Location
curl --request POST \
--url https://api.flowiq.live/send-whatsapp \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phone_number": "+27123456789",
"message_type": "location",
"location": {
"latitude": -33.9249,
"longitude": 18.4241,
"name": "Cape Town Office",
"address": "123 Main Street, Cape Town"
},
"context_message_id": "wamid.HBgLMjc4MTIzNDU2NzgVAgASGBQzRUI..."
}
'import requests
url = "https://api.flowiq.live/send-whatsapp"
payload = {
"phone_number": "+27123456789",
"message_type": "location",
"location": {
"latitude": -33.9249,
"longitude": 18.4241,
"name": "Cape Town Office",
"address": "123 Main Street, Cape Town"
},
"context_message_id": "wamid.HBgLMjc4MTIzNDU2NzgVAgASGBQzRUI..."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
phone_number: '+27123456789',
message_type: 'location',
location: {
latitude: -33.9249,
longitude: 18.4241,
name: 'Cape Town Office',
address: '123 Main Street, Cape Town'
},
context_message_id: 'wamid.HBgLMjc4MTIzNDU2NzgVAgASGBQzRUI...'
})
};
fetch('https://api.flowiq.live/send-whatsapp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Message sent successfully",
"data": {
"message_id": "wamid.HBgLMjc4MTIzNDU2NzgVAgASGBQzRUI...",
"recipient": "27123456789",
"message_type": "<string>"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Endpoints
Send Location
Send a location pin to an existing contact.
POST
/
send-whatsapp
Send Location
Basic Usage
curl -X POST "https://api.flowiq.live/send-whatsapp" \
-H "Authorization: Bearer fiq_YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"phone_number": "+27123456789",
"message_type": "location",
"location": {
"latitude": -33.9249,
"longitude": 18.4241,
"name": "Cape Town Office",
"address": "123 Main Street, Cape Town"
}
}'
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
phone_number | string | Yes | Recipient phone number with country code |
message_type | string | Yes | Must be "location" |
location.latitude | number | Yes | Latitude coordinate |
location.longitude | number | Yes | Longitude coordinate |
location.name | string | No | Location name shown to the recipient |
location.address | string | No | Full address shown to the recipient |
context_message_id | string | No | WhatsApp message ID to reply to |
{
"phone_number": "+27123456789",
"message_type": "location",
"location": {
"latitude": -33.9249,
"longitude": 18.4241,
"name": "Cape Town Office",
"address": "123 Main Street, Cape Town"
}
}
Response
Success (200)
{
"success": true,
"message": "Message sent successfully",
"data": {
"message_id": "wamid.HBgLMjc4MTIzNDU2NzgVAgASGBQzRUI...",
"recipient": "27123456789",
"message_type": "location"
}
}
Error: Missing Required Field (400)
{
"error": "Missing required field",
"message": "location.latitude and location.longitude are required for location messages"
}
Integration Example
async function sendLocation(apiKey, phoneNumber, location) {
const response = await fetch(
`https://api.flowiq.live/send-whatsapp`,
{
method: "POST",
headers: {
Authorization: `Bearer ${apiKey}`,
"Content-Type": "application/json",
},
body: JSON.stringify({ phone_number: phoneNumber, message_type: "location", location }),
}
);
const data = await response.json();
if (!response.ok) throw new Error(data.message);
return data;
}
Authorizations
Bearer token for authentication. Format: Bearer YOUR_BEARER_TOKEN
Body
application/json
Recipient phone number with country code
Example:
"+27123456789"
Must be "location"
Available options:
location Example:
"location"
Location coordinates and details
Show child attributes
Show child attributes
WhatsApp message ID to reply to
Example:
"wamid.HBgLMjc4MTIzNDU2NzgVAgASGBQzRUI..."
⌘I

